# Compile OSVVM Library
include ../OSVVM/osvvm.pro

# Compile
library Level0-rtps_handler
analyze ../math_pkg.vhd
analyze ../rtps_package.vhd
analyze test_config.vhd
analyze ../rtps_config_package.vhd
analyze ../rtps_test_package.vhd
analyze ../rtps_handler.vhd
analyze ../rtps_builtin_endpoint.vhd
analyze ../rtps_out.vhd
analyze ../FWFT_FIFO.vhd
analyze Level_0/L0_rtps_handler_test1.vhd
analyze Level_0/L0_rtps_handler_test2.vhd
analyze test_ram.vhd
analyze ScoreBoard_test_memory.vhd
analyze ScoreBoard_builtin_endpoint.vhd
analyze Level_0/L0_rtps_builtin_endpoint_test1.vhd
analyze Level_0/L0_rtps_builtin_endpoint_test2.vhd
analyze Level_0/L0_rtps_builtin_endpoint_test3.vhd
analyze Level_0/L0_rtps_builtin_endpoint_test4.vhd
analyze Level_0/L0_rtps_builtin_endpoint_test5.vhd
analyze Level_0/L0_rtps_builtin_endpoint_test6.vhd
analyze Level_0/L0_rtps_builtin_endpoint_test7.vhd
analyze Level_0/L0_rtps_out_test1.vhd
analyze Level_1/L1_rtps_builtin_endpoint_test1.vhd

#simulate L0_rtps_handler_test1
#simulate L0_rtps_handler_test2
#simulate L0_rtps_builtin_endpoint_test1
#simulate L0_rtps_builtin_endpoint_test2
#simulate L0_rtps_builtin_endpoint_test3
#simulate L0_rtps_builtin_endpoint_test4
#simulate L0_rtps_builtin_endpoint_test5
#simulate L0_rtps_builtin_endpoint_test6
#simulate L0_rtps_builtin_endpoint_test7
#simulate L0_rtps_out_test1
#simulate L1_rtps_builtin_endpoint_test1